Subject: bug#4190 closed by Dan Nicolaescu <[email-masked]> (Re: bug#4190: 23.1.50; <prior> and <next> of pc-select.el don't beep)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 20 Aug 2009 20:45:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4190: 23.1.50; <prior> and <next> of pc-select.el don't beep

It has been closed by Dan Nicolaescu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Dan Nicolaescu <[email-masked]> by
replying to this email.

-- 
4190: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4190
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4190: 23.1.50; <prior> and <next> of pc-select.el don't beep
From: Dan Nicolaescu <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 20 Aug 2009 13:36:00 -0700 (PDT)

[email-masked] writes:

  > All I know is this doesn't beep/flash when it hits the beginning of the buffer:
  >   <prior> runs the command scroll-down-nomark, which is an interactive
  >   compiled Lisp function in `pc-select.el'.
  > 
  > Same for <next>.

Not a bug, pc-select.el  tries to:
;;; pc-select.el --- emulate mark, cut, copy and paste from Motif
;;;                   (or MAC GUI or MS-windoze (bah)) look-and-feel
;;;                            including key bindings.

not beeping is the behavior of prior and next on those platforms.

  > However C-p and C-n still beep properly.
  > 
  > You may ask "why am I using pc-select.el". I don't know. It must be due
  > to http://jidanni.org/comp/configuration/.emacs
  > 
  > In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
  >  of 2009-08-15 on elegiac, modified by Debian
  >  (emacs-snapshot package, version 1:20090814-1)

Subject: 23.1.50; <prior> and <next> of pc-select.el don't beep
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Aug 2009 18:02:19 +0800

All I know is this doesn't beep/flash when it hits the beginning of the buffer:
  <prior> runs the command scroll-down-nomark, which is an interactive
  compiled Lisp function in `pc-select.el'.

Same for <next>.

However C-p and C-n still beep properly.

You may ask "why am I using pc-select.el". I don't know. It must be due
to http://jidanni.org/comp/configuration/.emacs

In GNU Emacs 23.1.50.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-15 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090814-1)